当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助安装“build-essential”时出现的问题!
帖子发表于 : 2006-10-11 1:34 

注册: 2006-10-11 1:17
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
今天在安装build-essential时总是不成功,很是郁闷,希望各位大虾能帮帮忙!

Ubuntu系统是我新装的,我是在VMware下安装,当时安装的文件是ubuntu-6.06.1-desktop-i386.iso。

系统的信息:
linfengqi@linfengqi-desktop:~$ uname -a
Linux linfengqi-desktop 2.6.15-26-386 #1 PREEMPT Thu Aug 3 02:52:00 UTC 2006 i68 6 GNU/Linux

我是用新立得包管理器来安装的,错误的界面如下:


附件:
install.jpg
install.jpg [ 29.89 KiB | 被浏览 95 次 ]

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-10-11 12:53 

注册: 2006-07-09 12:22
帖子: 1331
地址: 南京
送出感谢: 0 次
接收感谢: 1
waiting for updating the libc6&&libstdc++6-4.1-dev&&libc6-dev&&g++&&gcc&&cpp...

~$ dep build-essential
build-essential
|依赖: libc6-dev
依赖: <libc-dev>
libc6-dev
依赖: gcc
依赖: g++
依赖: make
依赖: dpkg-dev

~$ ins build-essential
Password:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
将会安装下列额外的软件包:
cpp cpp-4.1 g++ g++-4.1 gcc gcc-4.1 libc6-dev libstdc++6-4.1-dev
linux-libc-dev
建议安装的软件包:
cpp-doc gcc-4.1-locales gcc-4.1-doc lib64stdc++6 manpages-dev automake1.9
libtool flex bison gcc-doc libc6-dev-amd64 lib64gcc1 libstdc++6-4.1-doc
推荐安装的软件包:
libmudflap0-dev
下列【新】软件包将被安装:
build-essential cpp cpp-4.1 g++ g++-4.1 gcc gcc-4.1 libc6-dev
libstdc++6-4.1-dev linux-libc-dev
共升级了 0 个软件包,新安装了 10 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 10.8MB 的软件包。
解压缩后会消耗掉 36.9MB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://mirror.lupaworld.com edgy/main linux-libc-dev 2.6.17-10.29 [1757kB]
获取:2 http://ftp.sjtu.edu.cn edgy/main build-essential 11.3 [6974B]
获取:3 http://mirror.lupaworld.com edgy/main libc6-dev 2.4-1ubuntu12 [1851kB]
获取:4 http://mirror.lupaworld.com edgy/main cpp-4.1 4.1.1-13ubuntu5 [2309kB]
获取:5 http://mirror.lupaworld.com edgy/main cpp 4:4.1.1-6ubuntu3 [31.2kB]
获取:6 http://mirror.lupaworld.com edgy/main gcc-4.1 4.1.1-13ubuntu5 [610kB]
获取:7 http://mirror.lupaworld.com edgy/main gcc 4:4.1.1-6ubuntu3 [5148B]
获取:8 http://mirror.lupaworld.com edgy/main libstdc++6-4.1-dev 4.1.1-13ubuntu5 [1619kB]
获取:9 http://mirror.lupaworld.com edgy/main g++-4.1 4.1.1-13ubuntu5 [2573kB]
获取:10 http://mirror.lupaworld.com edgy/main g++ 4:4.1.1-6ubuntu3 [1434B]
下载 10.8MB,耗时 32s (327kB/s)
选中了曾被取消选择的软件包 linux-libc-dev。
(正在读取数据库 ... 系统当前总共安装有 139058 个文件和目录。)
正在解压缩 linux-libc-dev (从 .../linux-libc-dev_2.6.17-10.29_i386.deb) ...
选中了曾被取消选择的软件包 libc6-dev。
正在解压缩 libc6-dev (从 .../libc6-dev_2.4-1ubuntu12_i386.deb) ...
选中了曾被取消选择的软件包 cpp-4.1。
正在解压缩 cpp-4.1 (从 .../cpp-4.1_4.1.1-13ubuntu5_i386.deb) ...
选中了曾被取消选择的软件包 cpp。
正在解压缩 cpp (从 .../cpp_4%3a4.1.1-6ubuntu3_i386.deb) ...
选中了曾被取消选择的软件包 gcc-4.1。
正在解压缩 gcc-4.1 (从 .../gcc-4.1_4.1.1-13ubuntu5_i386.deb) ...
选中了曾被取消选择的软件包 gcc。
正在解压缩 gcc (从 .../gcc_4%3a4.1.1-6ubuntu3_i386.deb) ...
选中了曾被取消选择的软件包 libstdc++6-4.1-dev。
正在解压缩 libstdc++6-4.1-dev (从 .../libstdc++6-4.1-dev_4.1.1-13ubuntu5_i386.deb) ...
选中了曾被取消选择的软件包 g++-4.1。
正在解压缩 g++-4.1 (从 .../g++-4.1_4.1.1-13ubuntu5_i386.deb) ...
选中了曾被取消选择的软件包 g++。
正在解压缩 g++ (从 .../g++_4%3a4.1.1-6ubuntu3_i386.deb) ...
选中了曾被取消选择的软件包 build-essential。
正在解压缩 build-essential (从 .../build-essential_11.3_i386.deb) ...
正在设置 linux-libc-dev (2.6.17-10.29) ...
正在设置 libc6-dev (2.4-1ubuntu12) ...
正在设置 cpp-4.1 (4.1.1-13ubuntu5) ...
正在设置 cpp (4.1.1-6ubuntu3) ...

正在设置 gcc-4.1 (4.1.1-13ubuntu5) ...
正在设置 gcc (4.1.1-6ubuntu3) ...

正在设置 libstdc++6-4.1-dev (4.1.1-13ubuntu5) ...
正在设置 g++-4.1 (4.1.1-13ubuntu5) ...
正在设置 g++ (4.1.1-6ubuntu3) ...

正在设置 build-essential (11.3) ...


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-10-11 14:13 

注册: 2006-10-11 1:17
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
多谢! 现在安装成功了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译